@media screen and (min-width: 1440px) {

    /* Adjust positions based on image */
    .water {
        top: 41%;
        left: 23%;
        width: 12%;
        height: 8%
    }

    .power {
        top: 41%;
        left: 66%;
        width: 12%;
        height: 8%
    }

    .space {
        top: 53%;
        left: 8%;
        width: 12%;
        height: 8%
    }

    .energy {
        top: 53%;
        left: 80%;
        width: 12%;
        height: 8%
    }

    .farmer {
        top: 72%;
        left: 9%;
        width: 20%;
        height: 10%;
    }

    .fabric {
        top: 73%;
        left: 72%;
        width: 20%;
        height: 12%
    }

    .central {
        top: 56%;
        left: 25%;
        width: 48%;
        height: 20%;
    }

}


/* Extra large devices (≥1200px) */
@media screen and (max-width: 1200px) {}

/* Large devices (≥992px) */
@media screen and (max-width: 992px) {
    .fantasy-menu .nav-link {
        -webkit-text-fill-color: #e6dfd1;
        color: #e6dfd1;
        background-image: none;
    }

    .img-book {
        max-width: 100%;
        height: auto;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }
}



/* Medium devices (≥768px) */
@media screen and (max-width: 768px) {
    .hero h1 {
        font-size: 2rem;
    }

    .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar-nav {
        /* background-color: var(--theme-color); */
        padding: 10px;
        border-radius: 5px;
    }
    .social-icon {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    color: #fff;
    transition: all 0.3s ease;
    text-decoration: none;
}
}

/* 📱 Mobile Responsive */
@media (max-width: 768px) {
    .dome-tooltip {
        width: 90%;
        left: 5% !important;
        /* center horizontally */
        right: 5%;
        bottom: 20px;
        /* show near bottom */
        top: auto !important;
        position: fixed;
        /* better UX for mobile */
        border-radius: 12px;
    }

    .tooltip-title {
        font-size: 13px;
    }

    .world img {
        width: 100%;
        height: 100dvh;
        border-radius: 12px;
        /* height: 100dvh; */
        /* overflow: hidden; */
    }
}

/* Small devices (≥576px) */
@media screen and (max-width: 768px) {
    body {
        margin: 0;
        padding: 0;
        font-family: 'Cinzel', serif;
        /* background: url('../images/b1.png') no-repeat center center / cover; */
        min-height: 100vh;
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        color: var(--secondary-color);
    }

    .navbar {
        background: transparent;
        backdrop-filter: none;
        height: 80px;
    }

    .btn-font-size {
        font-size: 20px;
    }

    .mt-50 {
        margin-top: 50px;
    }

    .mt-100 {
        margin-top: 200px !important;
    }

    .btn-play {
        position: relative;
        top: -20px;
    }

    .sub-text {
        font-size: 12px;
    }

    .world img {
        width: 100%;
        height: 100dvh;
        border-radius: 12px;
        /* height: 100dvh; */
        /* overflow: hidden; */
    }

    .section-padding {
        padding: 80px 0px !important;
    }
}